Summary:	MUSL for OpenRISC arch
Name:		or1k-musl-lib
Version:	10.3.0
Release:	1%{?dist}
License:	BSD-3-Clause AND MIT AND LGPL-2.0-or-later AND ISC
URL:		https://www.musl-libc.org
Source0:        https://www.musl-libc.org/releases/musl-1.1.19.tar.gz

BuildRequires: autoconf, automake
BuildRequires: make, gcc-openrisc-linux-gnu, binutils-openrisc-linux-gnu
BuildRequires: gettext, zlib-devel
BuildRequires: texinfo >= 4.0

%description
MUSL for OpenRISC arch.

%global debug_package %{nil}

%global __brp_strip %{__brp_strip} || :

%if 0%{?__brp_strip_static_archive:1}
%global __brp_strip_static_archive %{__brp_strip_static_archive} || :
%endif
%if 0%{?__brp_strip_lto:1}
%global __brp_strip_lto %{__brp_strip_lto} || :
%endif


%prep
%autosetup -p1 -n musl-1.1.19

%build
mkdir build-musl
cd build-musl

export CROSS_COMPILE=openrisc-linux-gnu- CC=openrisc-linux-gnu-gcc CFLAGS=
../configure --target=or1k-linux-musl --prefix=/opt/openrisc/or1k-linux-musl-%{version} 
make

%install
cd build-musl
%make_install DESTDIR=%{buildroot}

%files 
/opt/openrisc/or1k-linux-musl-%{version}

%clean 
rm -rf %{buildroot}

%changelog 
*Sat Apr 24 2021 Vad Rulezz <vr5@yandex.ru> - 0.1
- Initial Package for musl
